## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMOclParametrizedType

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclParametrizedType

    public class ASMOclParametrizedType

extends ASMOclType

An OclType for parameterized types, principally collections.

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMOclParametrizedType()`
`ASMOclParametrizedType(java.lang.String name, ASMOclType elementType, ASMOclType supertype)`

Method Summary
`ASMBoolean` `conformsTo(ASMOclType other)`
`static ASMBoolean` `conformsTo(StackFrame frame, ASMOclParametrizedType self, ASMOclType other)`
`boolean` `equals(java.lang.Object other)`
`static ASMOclParametrizedType` `getASMOclParametrizedType(java.lang.String name, ASMOclType elementType, ASMOclType supertype)`
`ASMOclType` `getElementType()`
`java.lang.String` `getName()`
`static void` `setElementType(StackFrame frame, ASMOclParametrizedType self, ASMOclType elementType)`
`static void` `setName(StackFrame frame, ASMOclParametrizedType self, ASMString name)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
`addSupertype, conformsTo, get, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMOclParametrizedType

    public ASMOclParametrizedType()

### ASMOclParametrizedType

    public ASMOclParametrizedType(java.lang.String name,
                                  ASMOclType elementType,
                                  ASMOclType supertype)

Method Detail

### getASMOclParametrizedType

    public static ASMOclParametrizedType getASMOclParametrizedType(java.lang.String name,
                                                                   ASMOclType elementType,
                                                                   ASMOclType supertype)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `ASMOclType`

### getElementType

    public ASMOclType getElementType()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### conformsTo

    public ASMBoolean conformsTo(ASMOclType other)

  Specified by:
    `conformsTo` in class `ASMOclType`

### conformsTo

    public static ASMBoolean conformsTo(StackFrame frame,
                                        ASMOclParametrizedType self,
                                        ASMOclType other)

### setName

    public static void setName(StackFrame frame,
                               ASMOclParametrizedType self,
                               ASMString name)

### setElementType

    public static void setElementType(StackFrame frame,
                                      ASMOclParametrizedType self,
                                      ASMOclType elementType)

Copyright 2007 IBM Corporation and others. All Rights Reserved.